Bug 903724 - Unable to save system template
Unable to save system template
Status: CLOSED UPSTREAM
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity high (vote)
: Unspecified
: --
Assigned To: Mike McCune
Katello QA List
: Triaged, ZStream
: 903000 (view as bug list)
Depends On:
Blocks: 903825 904128
  Show dependency treegraph
 
Reported: 2013-01-24 11:46 EST by James Laska
Modified: 2013-09-19 14:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 904128 (view as bug list)
Environment:
Last Closed: 2013-09-19 14:09:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot.png (51.12 KB, image/png)
2013-01-24 11:46 EST, James Laska
no flags Details
katello-debug-20130124111410.tar.gz (5.57 MB, application/octet-stream)
2013-01-24 11:47 EST, James Laska
no flags Details
script.sh (58.73 KB, text/plain)
2013-01-24 13:13 EST, James Laska
no flags Details

  None (edit)
Description James Laska 2013-01-24 11:46:20 EST
Created attachment 686852 [details]
Screenshot.png

Description of problem:

When testing CloudForms System Engine on a RHEL-6.4 host, I'm unable to manually save a system template.  The template I'm attempting to save consists of:
 * Red Hat CloudForms Tools for RHEL 6 RPMs i386 6.3
 * Red Hat Enterprise Linux 6 Server RPMs i386 6.3
 * Red Hat Enterprise Linux 6 Server Beta RPMs i386 6.4

On this same system, I have a script that created numerous system templates using the command-line.  Perhaps this is specific to the web-ui?  Given the impact the to default user-interface (web-ui), I'm marking this issue as severity High.


Version-Release number of selected component (if applicable):
 * candlepin-0.7.8.1-1.el6cf.src.rpm
 * katello-1.1.12-22.el6cf.src.rpm
 * katello-candlepin-cert-key-pair-1.0-1.src.rpm
 * katello-certs-tools-1.1.8-1.el6cf.src.rpm
 * katello-cli-1.1.8-12.el6cf.src.rpm
 * katello-configure-1.1.9-12.el6cf.src.rpm
 * katello-qpid-broker-key-pair-1.0-1.src.rpm
 * katello-qpid-client-key-pair-1.0-1.src.rpm
 * katello-selinux-1.1.1-2.el6cf.src.rpm
 * pulp-1.1.15-1.el6cf.src.rpm


How reproducible:


Steps to Reproduce:
1. Select Content -> System Templates
2. Select 'New template'
3. Add desired RHEL repositories
4. Click 'Save'
  
Actual results:

The web-ui reports:
> undefined method `each' for nil:NilClass (NoMethodError)

/var/log/katello/production.log indicates ...

> [DEBUG: 2013-01-23 12:06:54 #19815] Setting current user thread-local variable to nil
> [DEBUG: 2013-01-23 12:06:54 #19815] Setting current user thread-local variable to admin
> [DEBUG: 2013-01-23 12:06:54 #19815] Resource POST request: /pulp/api/users/, {"password":"[FILTERED]","name":"admin","login":"admin"}
> [ INFO: 2013-01-23 12:06:54 #19815] pulp user admin: already exists. continuing
> [DEBUG: 2013-01-23 12:06:54 #19815] Resource POST request: /pulp/api/roles/super-users//add/, 
> [DEBUG: 2013-01-23 12:06:54 #19815] Processing response: 200
> [DEBUG: 2013-01-23 12:06:54 #19815] Resource GET request: /pulp/api/users/admin/
> [DEBUG: 2013-01-23 12:06:54 #19815] Processing response: 200
> [DEBUG: 2013-01-23 12:06:54 #19815] Resource POST request: /pulp/api/users/, {"password":"[FILTERED]","name":"hidden-3wqeCA","login":"hidden-3wqeCA"}
> [DEBUG: 2013-01-23 12:06:55 #19815] Processing response: 201
> [DEBUG: 2013-01-23 12:06:55 #19815] Resource POST request: /pulp/api/roles/super-users//add/, 
> [DEBUG: 2013-01-23 12:06:55 #19815] Processing response: 200
> [DEBUG: 2013-01-23 12:06:55 #19815] Resource GET request: /pulp/api/users/hidden-3wqeCA/
> [DEBUG: 2013-01-23 12:06:55 #19815] Processing response: 200
> [DEBUG: 2013-01-23 12:06:55 #19815] Creating an owner in candlepin: ACME_Corporation
> [DEBUG: 2013-01-23 12:06:55 #19815] Resource POST request: /candlepin/owners/, 
> [DEBUG: 2013-01-23 12:06:55 #19815] Processing response: 200
> [DEBUG: 2013-01-23 12:06:56 #19815] Resource GET request: /candlepin/owners/ACME_Corporation/servicelevels
> [DEBUG: 2013-01-23 12:06:56 #19815] Processing response: 200
> [ INFO: 2013-01-23 12:06:56 #19815] Creating an environment in candlepin: Library
> [DEBUG: 2013-01-23 12:06:56 #19815] Resource POST request: /candlepin/owners/ACME_Corporation/environments, 
> [DEBUG: 2013-01-23 12:06:56 #19815] Processing response: 200
> [DEBUG: 2013-01-23 12:06:56 #19815] Resource GET request: /candlepin/owners/ACME_Corporation/servicelevels
> [DEBUG: 2013-01-23 12:06:56 #19815] Processing response: 200
> [ERROR: 2013-01-24 09:26:29 #1214] undefined method `each' for nil:NilClass
> [ERROR: 2013-01-24 09:26:29 #1214] undefined method `each' for nil:NilClass
> [ERROR: 2013-01-24 09:26:29 #1214] #<NoMethodError: undefined method `each' for nil:NilClass>
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/share/katello/app/controllers/system_templates_controller.rb:177:in `update_content'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/base.rb:150:in `process_action'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/rendering.rb:11:in `process_action'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/callbacks.rb:18:in `process_action'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:472:in `_run__1925885774__process_action__656727149__callbacks'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:221:in `_conditional_callback_around_3384'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/share/katello/lib/util/threadsession.rb:79:in `thread_locals'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:220:in `_conditional_callback_around_3384'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:451:in `_run__1925885774__process_action__656727149__callbacks'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:410:in `send'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:410:in `_run_process_action_callbacks'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:94:in `send'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:94:in `run_callbacks'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/callbacks.rb:17:in `process_action'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/rescue.rb:17:in `process_action'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:52:in `instrument'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:52:in `instrument'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/instrumentation.rb:29:in `process_action'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/base.rb:119:in `process'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/rendering.rb:41:in `process'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal.rb:138:in `dispatch'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal.rb:178:in `action'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/routing/route_set.rb:62:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/routing/route_set.rb:62:in `dispatch'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/routing/route_set.rb:27:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/route_set.rb:150:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:93:in `recognize'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:68:in `optimized_each'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:92:in `recognize'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/route_set.rb:141:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/routing/route_set.rb:493:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/apipie-rails-0.0.11/lib/apipie/static_dispatcher.rb:57:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/warden-1.0.5/lib/warden/manager.rb:35:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/warden-1.0.5/lib/warden/manager.rb:34:in `catch'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/warden-1.0.5/lib/warden/manager.rb:34:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/lib/sass/../sass/plugin/rack.rb:54:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/head.rb:14:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/methodoverride.rb:24:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/params_parser.rb:21:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/flash.rb:182:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/session/abstract_store.rb:149:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/cookies.rb:302:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/query_cache.rb:32:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/connection_adapters/abstract/query_cache.rb:28:in `cache'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/query_cache.rb:12:in `cache'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/query_cache.rb:31:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/connection_adapters/abstract/connection_pool.rb:354:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/callbacks.rb:46:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:416:in `_run_call_callbacks'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/callbacks.rb:44:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/sendfile.rb:102:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/remote_ip.rb:48:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/show_exceptions.rb:47:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/rack/logger.rb:13:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/runtime.rb:17:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/lock.rb:34:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:168:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:77:in `send'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:77:in `method_missing'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/urlmap.rb:52:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/urlmap.rb:46:in `each'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/urlmap.rb:46:in `call'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:84:in `pre_process'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:82:in `catch'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:82:in `pre_process'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:57:in `process'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:42:in `receive_data'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/eventmachine-0.12.10/lib/eventmachine.rb:256:in `run_machine'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/eventmachine-0.12.10/lib/eventmachine.rb:256:in `run'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/backends/base.rb:61:in `start'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/server.rb:159:in `start'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/controllers/controller.rb:86:in `start'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/runner.rb:185:in `send'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/runner.rb:185:in `run_command'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/runner.rb:151:in `run!'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/bin/thin:6
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/share/katello/script/thin:24:in `load'
> [ERROR: 2013-01-24 09:26:29 #1214] /usr/share/katello/script/thin:24
> [ERROR: 2013-01-24 09:26:29 #1214] Rendering 500:undefined method `each&#x27; for nil:NilClass
> [ERROR: 2013-01-24 11:13:59 #13133] undefined method `each' for nil:NilClass
> [ERROR: 2013-01-24 11:13:59 #13133] undefined method `each' for nil:NilClass
> [ERROR: 2013-01-24 11:13:59 #13133] #<NoMethodError: undefined method `each' for nil:NilClass>
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/share/katello/app/controllers/system_templates_controller.rb:177:in `update_content'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/implicit_render.rb:4:in `send_action'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/base.rb:150:in `process_action'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/rendering.rb:11:in `process_action'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/callbacks.rb:18:in `process_action'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:472:in `_run__516307248__process_action__762135639__callbacks'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:221:in `_conditional_callback_around_3381'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/share/katello/lib/util/threadsession.rb:79:in `thread_locals'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:220:in `_conditional_callback_around_3381'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:451:in `_run__516307248__process_action__762135639__callbacks'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:410:in `send'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:410:in `_run_process_action_callbacks'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:94:in `send'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:94:in `run_callbacks'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/callbacks.rb:17:in `process_action'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/rescue.rb:17:in `process_action'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:52:in `instrument'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/notifications.rb:52:in `instrument'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/instrumentation.rb:29:in `process_action'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/base.rb:119:in `process'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/abstract_controller/rendering.rb:41:in `process'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal.rb:138:in `dispatch'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal/rack_delegation.rb:14:in `dispatch'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_controller/metal.rb:178:in `action'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/routing/route_set.rb:62:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/routing/route_set.rb:62:in `dispatch'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/routing/route_set.rb:27:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/route_set.rb:150:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:93:in `recognize'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:68:in `optimized_each'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/code_generation.rb:92:in `recognize'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/rack-mount-0.7.1/lib/rack/mount/route_set.rb:141:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/routing/route_set.rb:493:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/apipie-rails-0.0.11/lib/apipie/static_dispatcher.rb:57:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/warden-1.0.5/lib/warden/manager.rb:35:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/warden-1.0.5/lib/warden/manager.rb:34:in `catch'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/warden-1.0.5/lib/warden/manager.rb:34:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/sass-3.1.4/lib/sass/../sass/plugin/rack.rb:54:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/best_standards_support.rb:17:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/head.rb:14:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/methodoverride.rb:24:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/params_parser.rb:21:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/flash.rb:182:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/session/abstract_store.rb:149:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/cookies.rb:302:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/query_cache.rb:32:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/connection_adapters/abstract/query_cache.rb:28:in `cache'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/query_cache.rb:12:in `cache'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/query_cache.rb:31:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activerecord-3.0.10/lib/active_record/connection_adapters/abstract/connection_pool.rb:354:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/callbacks.rb:46:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/activesupport-3.0.10/lib/active_support/callbacks.rb:416:in `_run_call_callbacks'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/callbacks.rb:44:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/sendfile.rb:102:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/remote_ip.rb:48:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/actionpack-3.0.10/lib/action_dispatch/middleware/show_exceptions.rb:47:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/rack/logger.rb:13:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/runtime.rb:17:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/lock.rb:34:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:168:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:77:in `send'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/railties-3.0.10/lib/rails/application.rb:77:in `method_missing'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/urlmap.rb:52:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/urlmap.rb:46:in `each'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/rack-1.3.0/lib/rack/urlmap.rb:46:in `call'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:84:in `pre_process'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:82:in `catch'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:82:in `pre_process'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:57:in `process'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/connection.rb:42:in `receive_data'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/eventmachine-0.12.10/lib/eventmachine.rb:256:in `run_machine'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/eventmachine-0.12.10/lib/eventmachine.rb:256:in `run'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/backends/base.rb:61:in `start'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/server.rb:159:in `start'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/controllers/controller.rb:86:in `start'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/runner.rb:185:in `send'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/runner.rb:185:in `run_command'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/lib/thin/runner.rb:151:in `run!'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/lib/ruby/gems/1.8/gems/thin-1.2.11/bin/thin:6
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/share/katello/script/thin:24:in `load'
> [ERROR: 2013-01-24 11:13:59 #13133] /usr/share/katello/script/thin:24
> [ERROR: 2013-01-24 11:13:59 #13133] Rendering 500:undefined method `each&#x27; for nil:NilClass

Expected results:

The template should save without error.

Additional info:

 * See attached screenshot
 * See attached katello-debug.tar.gz
Comment 1 James Laska 2013-01-24 11:47:00 EST
Created attachment 686853 [details]
katello-debug-20130124111410.tar.gz
Comment 3 James Laska 2013-01-24 13:13:10 EST
Created attachment 686891 [details]
script.sh

Script used to pre-populate katello with content (import, enable, sync, and export templates)
Comment 4 Vagner Farias 2013-01-24 14:31:19 EST
I just got this same error, but with System Engine running on RHEL 6.3.

I could successfully create and promote a couple of system templates, but after this error happened for the first time, I'm unable to save new templates.

However, I can edit existing templates.
Comment 6 Jason E. Rist 2013-01-24 16:13:57 EST
https://github.com/Katello/katello/pull/1460
Comment 8 Mike McCune 2013-01-30 11:15:13 EST
*** Bug 903000 has been marked as a duplicate of this bug. ***
Comment 12 Mike McCune 2013-09-19 14:09:42 EDT
These bugs have been resolved in upstream projects for a period of months so I'm mass-closing them as CLOSED:UPSTREAM.  If this is a mistake feel free to re-open.

Note You need to log in before you can comment on or make changes to this bug.